Subject: Re: make cacking!
From: [email-masked] (root)

25 Aug 1997 10:17:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Sandeep Neema)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Sandeep Neema" at Aug 22, 97 03:54:42 am
Original-Sender: [email-masked]

> 
> hi all,
> excuse my ignorance but the make that comes with b18 distribution 
> always cacks on all my makefiles with error:
> 
> Makefile:<lineno>: *** missing seperator. Stop.
> 
> I am lost. please help!!
> -

Isn't obvious man? You are missing the separator!
More than 10 years ago I discovered UNIX, that strange OS of sorts. There I 
learned that make would stop telling me:
> Makefile:<lineno>: *** missing separator. Stop
when I replaced inadvertenltly a TAB char with SPACES!!!!!
Since TAB and SPACE are SO *easy* to distinguish in your computer screen or
printout that was a HELL!
2 years ago someone posted the same question to this list, and I answered in
similar terms:

MAKE SHOULDN'T MAKE A DIFFERENCE BETWEEN TABS AND SPACES
To no avail as it seems.

I have always wandered why this bug doesn't go away... The reasons are many.
People at cygnus are overworked, and this is a minor problem, and once you
know it, you do not do it again, so this bug will never bite them, it harms
only beginners...

Maybe there are some crazy makefiles that rely in this 'feature', and people
think that hypothetical makefiles would break down... bugs of this style
tend to go forever: look at the Ctrl-Z bug of Microsoft that is still
hunting us well over 10 years since DOS 2.0 that fixed it.

Maybe we should start a contest of the longuest living bug around. I think
this make *feature* would be a good candidate.

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".